ZlibCompressor.CompressionLevel (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.compress.zlib, class: ZlibCompressor, enum: CompressionLevel

Package org.apache.hadoop.io.compress.zlib

# Enum Class ZlibCompressor.CompressionLevel

java.lang.Object
java.lang.Enum<ZlibCompressor.CompressionLevel>
org.apache.hadoop.io.compress.zlib.ZlibCompressor.CompressionLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<ZlibCompressor.CompressionLevel>`, `Constable`

Enclosing class:
  org.apache.hadoop.io.compress.zlib.ZlibCompressor

public static enum ZlibCompressor.CompressionLevel extends Enum<ZlibCompressor.CompressionLevel>
The compression level for zlib library.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEST_COMPRESSION`
  Compression level for best compression.
  `BEST_SPEED`
  Compression level for fastest compression.
  `DEFAULT_COMPRESSION`
  Default compression level.
  `EIGHT`
  Compression level 8.
  `FIVE`
  Compression level 5.
  `FOUR`
  Compression level 4.
  `NO_COMPRESSION`
  Compression level for no compression.
  `SEVEN`
  Compression level 7.
  `SIX`
  Compression level 6.
  `THREE`
  Compression level 3.
  `TWO`
  Compression level 2.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ZlibCompressor.CompressionLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ZlibCompressor.CompressionLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_COMPRESSION

    public static final ZlibCompressor.CompressionLevel NO_COMPRESSION
    Compression level for no compression.

  - ### BEST_SPEED

    public static final ZlibCompressor.CompressionLevel BEST_SPEED
    Compression level for fastest compression.

  - ### TWO

    public static final ZlibCompressor.CompressionLevel TWO
    Compression level 2.

  - ### THREE

    public static final ZlibCompressor.CompressionLevel THREE
    Compression level 3.

  - ### FOUR

    public static final ZlibCompressor.CompressionLevel FOUR
    Compression level 4.

  - ### FIVE

    public static final ZlibCompressor.CompressionLevel FIVE
    Compression level 5.

  - ### SIX

    public static final ZlibCompressor.CompressionLevel SIX
    Compression level 6.

  - ### SEVEN

    public static final ZlibCompressor.CompressionLevel SEVEN
    Compression level 7.

  - ### EIGHT

    public static final ZlibCompressor.CompressionLevel EIGHT
    Compression level 8.

  - ### BEST_COMPRESSION

    public static final ZlibCompressor.CompressionLevel BEST_COMPRESSION
    Compression level for best compression.

  - ### DEFAULT_COMPRESSION

    public static final ZlibCompressor.CompressionLevel DEFAULT_COMPRESSION
    Default compression level.

- ## Method Details

  - ### values

    public static ZlibCompressor.CompressionLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ZlibCompressor.CompressionLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null